package com.zanxiang.game.module.base.pojo.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2023-08-03
 * @description : H5微信控制枚举
 */
@Getter
@AllArgsConstructor
public enum H5WeChatControlEnum {

    /**
     * 没有限制
     */
    UN_CONTROL("UN_CONTROL", "没有限制环境"),

    /**
     * 只允许微信
     */
    ONLY_WE_CHAT("ONLY_WE_CHAT", "只允许微信环境"),

    /**
     * 禁止微信
     */
    UN_WE_CHAT("UN_WE_CHAT", "禁止微信环境");

    /**
     * 展示类型
     */
    private final String value;

    /**
     * 描述
     */
    private final String describe;

}
